PHP Manual
Prev |  | Next

# libxml_use_internal_errors

(PHP 5 >= 5.1.0RC1)

libxml_use_internal_errors -- Disable libxml errors and allow user to fetch error information as needed

## Description

bool libxml_use_internal_errors ( [bool use_errors] )

libxml_use_internal_errors() allows you to disable standard libxml errors and enable user error handling.

## Parameters

`use_errors`

  Whether to enable user error handling. Defaults to `FALSE`.

## Return Values

This function returns the previous value of `use_errors`.

## Examples

Example 1. A libxml_use_internal_errors() example

This example demonstrates the basic usage of libxml errors and the value returned by this function.

`<?php // enable user error handling var_dump(libxml_use_internal_errors(true)); $doc = DOMDocument::load('file.xml'); if (!$doc) { $errors = libxml_get_errors(); foreach ($errors as $error) { // handle errors here } libxml_clear_errors(); } ?>`

The above example will output:

    bool(false)

## See Also

libxml_clear_errors()
libxml_get_errors()

Prev | Home | Next
libxml_set_streams_context | Up | Lotus Notes Functions